<h2 class="grey-text uppercase sub-heading pad-top-0">How much would you like to pay today?</h2>
<c:set var="DEPOSIT_EXIST" value="false" />
<c:set var="LOW_DEPOSIT_EXIST" value="false" />

<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />

<c:set var="CONST_LOW_DEPOSIT">lowDeposit</c:set>
<c:set var="CONST_DEPOSIT">deposit</c:set>
<c:set var="CONST_FULL_COST">fullCost</c:set>


<c:set var="radioSelected" value="false" />
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
  <c:if test="${depositComponent.depositType == CONST_DEPOSIT}">
		<c:set var="DEPOSIT_EXIST" value="true" />
		<fmt:formatDate var="topUpDepositDueDate"
			value="${depositComponent.depositDueDate}" pattern="EE dd MMM yyyy" />
    <%-- Outstanding balance after deducting promotional code discount that has been applied--%>
		<fmt:formatNumber var="outstandingBalanceDeposit"
			value="${depositComponent.outstandingBalance.amount-bookingInfo.calculatedDiscount.amount}"
			type="number" maxFractionDigits="2" minFractionDigits="2"
			pattern="#####.##" />
  </c:if>
  <c:if test="${depositComponent.depositType == CONST_LOW_DEPOSIT}">
	<c:set var="LOW_DEPOSIT_EXIST" value="true" />
  </c:if>
</c:forEach>
<div class="payment-type standard-layout">
<c:if test="${DEPOSIT_EXIST == true}">
	<div class='deposite-section two-column tui-blue-background <c:if test="${LOW_DEPOSIT_EXIST == true}"> low</c:if>'>
	 <div class="title-container">
	 <h3 class="sub-heading fl blue-text">Pay by Deposit</h3>
	 <div class="price-list fr deposit-price">
	 <c:set var="radioSelected" value="false" />
	 <c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:set var="depositType" value="${depositComponent.depositType}"
		scope="page" />
	<c:set var="deposit" value="${depositComponent.depositAmount.amount}"
		scope="page" />
		<c:if test="${depositType == CONST_LOW_DEPOSIT}">
		<div class="deposit-amount fl active">
			<span class="icon-v2 brand-blue icon-TUI_radio-on active radio-button" data-payment-type="${depositType}" id="quarter-amt"  onclick="findPaymentOption("lowDeposit');updatePaymentInfo('lowDeposit');selectedpaymentMode(this.id)"></span>
			<span class="price marg-left-5 blue-text">&euro;<c:out value="${deposit}"/> </span>
			<c:set var="radioSelected" value="true" />
		</div> 
	   </c:if>
	   <c:if test="${depositType == CONST_DEPOSIT}">
		<div class="deposit-amount fl <c:if test="${radioSelected == false}"> active</c:if>">
			<span class="icon-v2 brand-blue  radio-button <c:choose> <c:when test="${radioSelected == false}">icon-TUI_radio-on active</c:when><c:otherwise>icon-TUI_radio-circle</c:otherwise></c:choose>" data-payment-type="${depositType}" id="half-amt" onclick="findPaymentOption('deposit');updatePaymentInfo('deposit');selectedpaymentMode(this.id)"></span>
			<span class="price marg-left-5 blue-text">&euro;<c:out value="${deposit}"/> </span>
		</div> 
	   </c:if>
	</c:forEach>
	</div>
	</div>
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:set var="depositType" value="${depositComponent.depositType}"
		scope="page" />
	<c:set var="deposit" value="${depositComponent.depositAmount.amount}"
		scope="page" />
	<fmt:formatDate var="depositDueDate"
		value="${depositComponent.depositDueDate}" pattern="EE dd MMM yyyy" />
		<c:choose>
<c:when test="${depositType == CONST_LOW_DEPOSIT}">
     <div class="b deposite-box">
	<div class="box lowDepositbox" >
	<input type="radio"  style="visibility:hidden;" hidden ="true" id="initial" name="depositType" class="radioBtn hide"
                                                        value="${CONST_LOW_DEPOSIT}"/>
		<p class="title marg-bottom-10">Pay &euro;<fmt:formatNumber value="${deposit}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> Deposit</p>
		<c:if test="${applyCreditCardSurcharge eq 'true'}">
		<p class="marg-bottom-10 grey-med">&euro;<span
							id="creditCardChargeAmt_lowDeposit"></span> if paying by credit card.</p>
		</c:if>					
		<p class="title uppercase">Further payments</p>
		<p class="grey-med fl marg-right-5"><span class="grey-dark">&euro;<fmt:formatNumber
								value="${depositComponent.outstandingBalance.amount}"
								type="number" maxFractionDigits="2" minFractionDigits="2"
								pattern="#####" /></span> by <c:out value="${depositDueDate}"/> |</p>
		<p class="marg-bottom-10 grey-med fl"><span class="grey-dark"> &euro;<c:out value="${outstandingBalanceDeposit}"/></span> by <c:out value="${topUpDepositDueDate}" /></p>
		<p class="cl-b"><a class="hide" href="http://www.thomson.co.uk/destinations/info/low-deposit" target="_blank">Important information for this deposit</a></p>
		</div>
	</div>

</c:when>

<c:when test="${depositType == CONST_DEPOSIT}">
    <div class="b deposite-box">
	<div class="box depositbox <c:if test="${radioSelected == true}"> hide</c:if>">
	<input type="radio"  style="visibility:hidden;" hidden ="true" id="half" name="depositType" class="radioBtn hide" value="${CONST_DEPOSIT}" />
		<p class="title marg-bottom-10">Pay &euro;<fmt:formatNumber value="${deposit}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> Deposit</p>
		<c:if test="${applyCreditCardSurcharge eq 'true'}">
		<p class="marg-bottom-10 grey-med">&euro;<span
							id="creditCardChargeAmt_deposit"></span> if paying by credit card.</p>
		</c:if>					
		<p class="title uppercase">Further payments</p>
		<p class="marg-bottom-10 grey-med fl"><span class="grey-dark"> &euro;<c:out value="${outstandingBalanceDeposit}"/></span> by <c:out value="${topUpDepositDueDate}" /></p>
	    <p class="cl-b"></p>
		</div>
	</div>

 </c:when>
</c:choose>
</c:forEach>
</div>
</c:if>

<div class="b full-cost-box tui-blue-background two-column <c:choose><c:when test="${DEPOSIT_EXIST == true}"> fr </c:when><c:otherwise> fl </c:otherwise></c:choose>">
	<div class="title-container">
	<h3 class="title fl sub-heading blue-text full-cost-heading">Pay in Full</h3>
	<div class="price-list fr">
		<div class="deposit-amount <c:if test="${DEPOSIT_EXIST == false}">active</c:if>">
			<span class="radio-button <c:choose> <c:when test="${DEPOSIT_EXIST == true}">icon-TUI_radio-circle</c:when><c:otherwise>icon-TUI_radio-on active</c:otherwise></c:choose>" data-payment-type="fullCost" id="full-amt" onclick="findPaymentOption('fullCost');updatePaymentInfo('fullCost');selectedpaymentMode(this.id)"></span>
			<span class="price blue-text">&euro;<fmt:formatNumber value="${fullAmount}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /> </span>
		</div>
	</div>
	</div>
	<div class="box fullCostbox">
	<input type="radio"  style="visibility:hidden;" hidden="true" id="full" name="depositType" class="radioBtn hide" value="${CONST_FULL_COST}"/>
		<p class="title marg-bottom-10">Pay the total cost of your holiday &euro;<fmt:formatNumber value="${fullAmount}" type="number"
								maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" /></p>
		<c:if test="${applyCreditCardSurcharge eq 'true'}">
		<p class="marg-top--5 grey-med">&euro;<span
				id="creditCardChargeAmt_fullCost"></span> if paying by credit card.</p>
		</c:if>	
	
		</div>
	</div>
</div>
<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>
<script type="text/javascript" src="/cms-cps/tuicommon/js/functions_depositSection.js"></script>